View Issue Details

IDProjectCategoryView StatusLast Update
0000436bareos-corefile daemonpublic2015-06-01 16:23
Reporteradmin-geovar Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOS7OS VersionSP1 x64
Product Version14.2.2 
Summary0000436: Restore crash file daemon
DescriptionI performed an installation of paint.net on my computer.
When i backup the installtion directory, the backup is successful but when i restore this directory, the file daemon crash.
It crash on particular file :

"PaintDotNet.Base.pdb"
Steps To Reproduce- Install Paint.net
- Backup directory of Paint.net
- Restore directory on computer
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impact
bareos-13.2: actionnone
bareos-12.4: impact
bareos-12.4: actionnone

Relationships

child of 0000447 closedjoergs Release bareos-14.2.5 

Activities

admin-geovar

admin-geovar

2015-03-10 16:34

reporter  

file-daemon-crash.txt (569 bytes)   
Nom de l�application d�faillante bareos-fd.exe, version : 1.0.0.0, horodatage : 0x54a4365b
Nom du module d�faillant : KERNELBASE.dll, version : 6.1.7601.18409, horodatage : 0x5315a05a
Code d�exception : 0xc0000005
D�calage d�erreur : 0x0000000000009b42
ID du processus d�faillant : 0xe1c
Heure de d�but de l�application d�faillante : 0x01d055979b2db1b2
Chemin d�acc�s de l�application d�faillante : c:\Program Files\Bareos\bareos-fd.exe
Chemin d�acc�s du module d�faillant: C:\windows\system32\KERNELBASE.dll
ID de rapport : e3bac292-c18a-11e4-920f-989096a64bc4
file-daemon-crash.txt (569 bytes)   
pstorz

pstorz

2015-03-31 10:45

administrator   ~0001659

Hello,

sorry, your crash info does not contain any usable information for us.

Please configure the file daemon to create a trace file as documented here:

http://doc.bareos.org/master/html/bareos-manual-main-reference.html#x1-26900024.2

and attach the bareos-fd.trace file.

Thank you very much

admin-geovar

admin-geovar

2015-03-31 12:03

reporter  

fd.trace (12,222 bytes)
mvwieringen

mvwieringen

2015-03-31 15:22

developer   ~0001672

Fix committed to bareos master branch with changesetid 5168.
mvwieringen

mvwieringen

2015-05-29 18:06

developer   ~0001753

Fix committed to bareos bareos-14.2 branch with changesetid 5325.

Related Changesets

bareos: master ea3b114e

2015-03-31 14:11:45

mvwieringen

Ported: N/A

Details Diff
Use proper variable type for format attribute.

DeviceIoControl with flag FSCTL_SET_COMPRESSION expect the format to be
as unsigned short not integer which can be 32 or 64 bits depending on
the compile. Switched this variable to uint16_t which should be an
unsigned short.

Fixes 0000436: Restore crash file daemon
Affected Issues
0000436
mod - src/findlib/attribs.c Diff File

bareos: bareos-14.2 0cd4fe01

2015-03-31 14:11:45

mvwieringen

Ported: N/A

Details Diff
Use proper variable type for format attribute.

DeviceIoControl with flag FSCTL_SET_COMPRESSION expect the format to be
as unsigned short not integer which can be 32 or 64 bits depending on
the compile. Switched this variable to uint16_t which should be an
unsigned short.

Fixes 0000436: Restore crash file daemon
Affected Issues
0000436
mod - src/findlib/attribs.c Diff File

Issue History

Date Modified Username Field Change
2015-03-10 16:34 admin-geovar New Issue
2015-03-10 16:34 admin-geovar File Added: file-daemon-crash.txt
2015-03-31 10:42 pstorz Priority high => normal
2015-03-31 10:45 pstorz Note Added: 0001659
2015-03-31 10:45 pstorz Assigned To => pstorz
2015-03-31 10:45 pstorz Status new => feedback
2015-03-31 12:03 admin-geovar File Added: fd.trace
2015-03-31 14:19 mvwieringen bareos-master: impact => yes
2015-03-31 14:19 mvwieringen bareos-master: action => will care
2015-03-31 14:19 mvwieringen bareos-14.2: impact => yes
2015-03-31 14:19 mvwieringen bareos-14.2: action => will care
2015-03-31 15:22 mvwieringen Changeset attached => bareos master ea3b114e
2015-03-31 15:22 mvwieringen Note Added: 0001672
2015-03-31 15:22 mvwieringen Status feedback => resolved
2015-03-31 15:22 mvwieringen Resolution open => fixed
2015-03-31 15:24 mvwieringen adm Assigned To pstorz =>
2015-05-27 12:48 joergs Relationship added child of 0000447
2015-05-27 12:48 joergs bareos-master: action will care => fixed
2015-05-27 14:15 pstorz bareos-13.2: action => none
2015-05-27 14:15 pstorz bareos-12.4: action => none
2015-05-29 18:06 mvwieringen Changeset attached => bareos bareos-14.2 0cd4fe01
2015-05-29 18:06 mvwieringen Note Added: 0001753
2015-06-01 16:23 joergs bareos-14.2: action will care => fixed
2015-06-01 16:23 joergs Status resolved => closed